/* Таблица стилей для сайта "Тохалэнд"
Автор: Стародубов Николай
Версия: 0.0.2*/

/*Всякие там подключения*/
* {
    margin: 0;
    padding: 0;
}

@keyframes tiktok {
    0% {color: #25eae8}
    50% {color: #f52750;}
    100% {color: #25eae8}
}

@font-face {
    font-family: TAWOG;
    src: url(../fonts/TAWOGTheSpoon-Regular.otf);
}
/*Конец подключениям*/

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    align-items: center;
}

/* Header */
.background {
    position: absolute;
    height: 100%;
    width: 100%;
    background-image: url(../img/фон.jpg);
    background-size: cover;
    background-position: center;
    z-index: -1;
    }

header {
    min-width: 100%;
    height: 11vh;
    display: flex;
    align-items: center;
    gap: 10vw;
}

.logo {
    display: flex;
    margin-right: auto;
    margin-left: auto;
    align-items: center;
    text-decoration: none;
    color: rgb(255, 255, 255);
    gap: 15px;
}

.logo img {
    height: 8vh;
}

.logo span {
    font-size: 10px;
    font-family: TAWOG;
}

.nav {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: 15px;
    margin-right: auto;
}

.nav a {
    color: rgb(255, 255, 255);
    transition: 0.5s ease;
    font-size: 10px;
    font-family: TAWOG;
    padding: 15px;
    border-radius: 15px;
    text-decoration: none;
}

.nav a:hover {
    color: #d6814b;
    transform: translateY(-3px) scale(1.05);
    transition: 0.5s;
}
.signicon i:hover {
    color: #d18352;
    transform: translateY(-3px) scale(1.05);
    transition: 0.5s;
}

.signicon {
    justify-self: flex-end;
    margin-right: auto;
}
.signicon i {
    text-decoration: none;
    color: rgb(255, 255, 255);
    transition: 0.5s ease;
    font-size: 24px;
    justify-self: flex-end;

}

/*Конец header*/

/*Тело*/
main {
    flex: 1;
    display: flex;
    flex-direction: column;
}
/*Конец тела*/

/*Подвал*/
.footer {
    margin-top: auto;
    margin-bottom: 0;
    width: 65vw;
    height: 10vh;
    background-color: rgb(0, 0, 0);
    border-style: solid;
    border-color: azure;
    border-radius: 40px;
    border-width: 3px;

    display: flex;
    justify-content: flex-start
    
    
}

#footerlogo {
    margin-left: 2vw;
    margin-right: 1vw;
    transition: 0.5s ease;

    
}
#footerlogo:hover {
    transform: scale(1.2);
    transition: 0.2s;
}
#footerlogo img {
    height: 5vh;
}

.bottomnav {
    margin-right: auto;
    border-left-style:solid;
    border-right-style: solid;
    border-color: white;
    border-width: 1px;
    display: flex;
    align-items: center;
    gap: 1vw;

}


.bottomnav a {
    color: rgb(255, 255, 255);
    transition: 0.5s ease;
    font-size: 8px;
    font-family: TAWOG;
    padding: 15px;
    border-radius: 15px;
    text-decoration: none;

}
.bottomnav a:hover{
    color: #acabab;
    transition: 0.5s;
}
.links {
    margin-right: auto;
    display: flex;
    align-items: center;
    gap: 1vw;


}
.links i {
    color: white;
    transition: 0.5s ease;
    font-size: 24px;
    padding: 20px;

}
.links i:hover {
    transform: translateY(-3px) scale(1.05);
    transition: 0.5s;
}
#yt:hover{
    color: #f90137;
}
#tg:hover {
    color: #28a5e5;
}
#tw:hover{
    color: #8b44f6;
}
#tt:hover {
    animation: tiktok 1s infinite;
}
.copyright {
    color: #8f9190;
    font-family: TAWOG;
    font-size: 8px;
    align-self: center;
    margin-bottom: 30px;
}


/*Конец подвала */